Skip to main content
POST
Videos estimate

Authorizations

Authorization
string
header
required

A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.

Path Parameters

workspaceId
string
required
Minimum string length: 1

Body

application/json
prompt
string
required
Required string length: 1 - 20000
model
string
Required string length: 1 - 120
maxPriceUsd
number
Required range: x <= 1000
duration
integer
Required range: 1 <= x <= 30
resolution
enum<string>
Available options:
480p,
720p,
768p,
1080p,
1K,
2K,
4K
aspectRatio
enum<string>
Available options:
9:16,
16:9,
1:1,
4:3,
3:4,
3:2,
2:3,
21:9,
9:21
frameImages
object[]
Required array length: 1 - 2 elements
generateAudio
boolean

Response

200 - application/json

Success

model
string
required
parameters
object
required
priceUsd
number
required
Required range: x >= 0